CatalogChannels
Create listing
POST
/v1/channels/listingsCreate listing. A successful request returns HTTP 201 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/channels/listings" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "channelId": "7204558912004325301", "productId": "7204558912004325301", "price": 1, "compareAtPrice": 1, "syncInventory": true }'{ "id": "7204558912004325301"}